/* $Header: /plx/S/source/Xclients/solaris2.4/3.4.new/RCS/hpMPEG.c,v 0.90 1994/05/31 20:12:23 drapeau Exp $ */
/*
 *   Copyright (c) 1994 by
 *   PARALLAX GRAPHICS, INCORPORATED, Santa Clara, California.
 *   All rights reserved
 *
 *   This software is furnished on an as-is basis, and may be used and copied
 *   only with the inclusion of the above copyright notice.
 *
 *   The information in this software is subject to change without notice.
 *   No committment is made as to the usability or reliability of this
 *   software.
 *
 *   Parallax Graphics, Inc.
 *   2500 Condensa Street
 *   Santa Clara, California  95051
 *   Author: George Drapeau
 */
/* $Log: hpMPEG.c,v $
 * Revision 0.90  1994/05/31  20:12:23  drapeau
 * First working version for the HP MovieTool.
 * */
static char hpMPEGRcsid[] = "$Header: /plx/S/source/Xclients/solaris2.4/3.4.new/RCS/hpMPEG.c,v 0.90 1994/05/31 20:12:23 drapeau Exp $";

#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>
#include <Xm/Xm.h>
#include <Xm/PushB.h>
#include <Xm/Scale.h>
#include <Xm/PushBG.h>
#include "MovieTool.h"



void SaveMPEGFile(char* fileName)
{
  char	theCommand[MAXPATHLEN + 64];
  
  sprintf(theCommand, "/usr/video/bin/Video_Convert -sf %s -df %s.mpg &", /* Set up a command to run HP's JPEGMovie-To-MPEG... */
	  fileName, fileName);					    /* ...file conversion program. */
  system(theCommand);						    /* Launch the new process */
  return;
} /* end function SaveMPEGFile */




void ShowCompactMovieDialog(Widget	w,
			    XtPointer	client_data,
			    XtPointer	xt_call_data)
{
  XtVaSetValues(fileDialog,
		XmNtitle, "Compact This Movie",
		NULL);
  XtRemoveCallback(fileSelectionBox, XmNokCallback, SaveMovie, NULL);
  XtRemoveCallback(fileSelectionBox, XmNokCallback, OpenMovie, NULL);
  XtRemoveCallback(fileSelectionBox, XmNokCallback, CompactMovie, NULL);
  XtAddCallback(fileSelectionBox, XmNokCallback, CompactMovie, NULL);
  XtVaSetValues(saveAsOptionButton, XmNsensitive, True, NULL);	    /* Allow the author to choose final movie output format */
  XtManageChild(fileSelectionBox);
  return;
} /* end function ShowCompactMovieDialog */
