#
# @(#)$Id: Makefile.x,v 1.2 1992/09/16 15:22:42 eric Deleted $
#
# (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
#
# Parallax Graphics, Inc.
# 2500 Condensa Street
# Santa Clara, California 95051
#

TOPDIR		= ../../../..

INCFLAGS	= -I./ -I$(TOPDIR)/include -I$(TOPDIR)/include/icon -I$(XHOME)/include -I$(XVIEWHOME)/include 
LDFLAGS		= -L$(XHOME)/lib -L$(XVIEWHOME)/lib 

CFLAGS		= -g $(INCFLAGS)

EXTLIB		= $(TOPDIR)/lib/libXvid.a

LIB		= $(TOPDIR)/lib/libXVvid.a $(EXTLIB)
XVLIBS		= -lpixrect -lxview -lX11 -lXext -lm

OBJ  = \
	xvccomp.o \
	
# leave line with just tab above


all: xvccomp

install: all
	test -d $(TOPDIR)/bin || mkdir $(TOPDIR)/bin
	cp xvccomp $(TOPDIR)/bin

xvccomp: $(OBJ) 
	$(CC) $(LDFLAGS) -o xvccomp $(OBJ) $(LIB) $(XVLIBS)

clean:
	rm -f *.o core xvccomp
