/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: live.h,v $
 * Revision 1.6  1992/06/05  18:54:59  eric
 * Moved from live.h to ../../../../include/live.h
 *
 * Revision 1.5  92/05/21  15:12:29  schen
 * check in demo19
 * 
 * Revision 1.2  91/08/19  13:09:25  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifndef lint
static char *rcsid_live_h = "@(#)$Id: live.h,v 1.6 1992/06/05 18:54:59 eric Deleted $ Parallax Graphics Inc";
#endif
#endif

/*
 *	live.h - include file for live.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializeLive();
extern int LiveStatus();
extern int LiveFrameNumber();
extern int SetLiveAudio();
extern int SetLiveVideo();
extern int ShowLiveFrame();
extern int ShowLiveSegment();
extern int LivePlay();
extern int LiveReverse();
extern int LiveStop();
extern int LiveContinue();
extern int LiveStill();
extern int LiveStepForward();
extern int LiveStepReverse();
extern int LiveSlowForward();
extern int LiveSlowReverse();
extern int LiveFastForward();
extern int LiveFastReverse();
extern int LiveIndex();
extern int LiveEject();

/* end of live.h */
