/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: pioneer.h,v $
 * Revision 1.7  1993/11/19  04:48:54  drapeau
 * Added support for SVR4.  Changes too numerous to mention here.
 *
 * Revision 1.2  91/08/19  13:09:32  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifndef lint
static char *rcsid_pioneer_h = "@(#)$Id: pioneer.h,v 1.7 1993/11/19 04:48:54 drapeau Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *	pioneer.h - include file for pioneer.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializePioneer();
extern int PioneerStatus();
extern int PioneerFrameNumber();
extern int SetPioneerAudio();
extern int SetPioneerVideo();
extern int ShowPioneerFrame();
extern int ShowPioneerSegment();
extern int PioneerPlay();
extern int PioneerReverse();
extern int PioneerStop();
extern int PioneerContinue();
extern int PioneerStill();
extern int PioneerStepForward();
extern int PioneerStepReverse();
extern int PioneerSlowForward();
extern int PioneerSlowReverse();
extern int PioneerFastForward();
extern int PioneerFastReverse();
extern int PioneerIndex();
extern int PioneerEject();

/* end of pioneer.h */
