/*
 * (c) Copyright 1991 Parallax Graphics Inc, All Rights Reserved
 *
 * Parallax Graphics, Inc.
 * 2500 Condensa Street
 * Santa Clara, California 95051
 *
 * $Log: visca.h,v $
 * Revision 1.2  1993/11/19  04:48:54  drapeau
 * Added support for SVR4.  Changes too numerous to mention here.
 *
 * Revision 1.2  91/08/19  13:09:25  eric
 * added rcs header
 * 
 *
 */

#ifdef H_ID
#ifndef lint
static char *rcsid_visca_h = "@(#)$Id: visca.h,v 1.2 1993/11/19 04:48:54 drapeau Exp $ Parallax Graphics Inc";
#endif
#endif

/*
 *	visca.h - include file for visca.c
 *
 *	Written by John Malleo-Roach
 *
 */

extern int InitializeVISCA();
extern int VISCAStatus();
extern int VISCAFrameNumber();
extern int SetVISCAAudio();
extern int SetVISCAVideo();
extern int ShowVISCAFrame();
extern int ShowVISCASegment();
extern int VISCAPlay();
extern int VISCAReverse();
extern int VISCAStop();
extern int VISCAContinue();
extern int VISCAStill();
extern int VISCAStepForward();
extern int VISCAStepReverse();
extern int VISCASlowForward();
extern int VISCASlowReverse();
extern int VISCAFastForward();
extern int VISCAFastReverse();
extern int VISCAIndex();
extern int VISCAEject();

/* end of visca.h */
